Subject: Re: Failing to mount from nfs-server
From: Peter Rehley <[email-masked]>
To: Michael Butler <[email-masked]>
Cc: [email-masked]
Date: Fri, 3 Dec 2004 15:52:11 -0800

On Dec 3, 2004, at 3:00 PM, Michael Butler wrote:

> When I add -overs=2 to the mount command, I get a permission denied
> error instead of the server down error.  Can anyone help me?
>
>
> On Thu, 2 Dec 2004 15:06:08 -0800, Michael Butler 
> <[email-masked]> wrote:
>> I installed the latest cygwin with nfs-server and the required support
>> packges, along with nothing else extra.  I ran nfs-server-config,
>> changed my exports, and started the daemons in the windows services.
>> All 3 have "started" but when I try to mount shared directories from a
>> Fedora Core 2 client on the same network, I get
>>
>> mount to NFS server '192.168.1.2' failed: server is down.
>>
>> rpcinfo -p from the localhost and from the client both return the
>> following info:
>>   program vers proto   port
>>    100000    2   tcp    111
>>    100000    2   udp    111
>>    100003    2   udp   2049  nfs
>>    100003    2   tcp   2049  nfs
>>    100005    1   udp    850
>>    100005    2   udp    850
>>    100005    1   tcp    853
>>    100005    2   tcp    853
>>
>> nmapping these ports shows each of them as open except for 850.  There
>> is no firewall software on the server machine.  My exports file is as
>> follows:
>> /mnt/c/export/root      *(ro,no_root_squash,sync)
>> /pub                            *(ro,no_root_squash,sync)
>>
>> It seems to me as though this should be a working setup.  Did I miss 
>> something?

Try removing the '*' in the exports file and restarting things.  I've 
had problems with using only the *.  Your milage may vary though.

>>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>
Enjoy,
Peter
-------------------------------
A Møøse once bit my sister

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/